Bug 835013 - querying for IPv6 DNS records when IPv6 is disabled on the host
querying for IPv6 DNS records when IPv6 is disabled on the host
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On: 835012
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 04:48 EDT by Jan Vcelak
Modified: 2016-07-08 11:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: openldap-2.4.31-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 812772
Environment:
Last Closed: 2012-08-09 19:20:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-06-25 04:48:15 EDT
The same problem in Fedora

+++ This bug was initially created as a clone of Bug #812772 +++

Description of problem:
Openldap always send IPV6 queries when contacting the DNS 
even when IPV6 is completely disabled on the host.
This is causing excessive traffic.


Version-Release number of selected component (if applicable):
All the openldap versions.

How reproducible:
Always

Steps to Reproduce:
1. Install openldap.
2. Disable completely the IPV6 protocol on the host.
2. Do a LDAP query using a FQDN name as server.
  
Actual results:
The openldap is sending IPV6 queries before to use IPV4 addresses:

Expected results:
If IPV6 is disabled, then Openldap should query only IPV4 addresses.


Additional info:

...
Comment 2 Fedora Update System 2012-07-19 11:48:12 EDT
openldap-2.4.31-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openldap-2.4.31-5.fc17
Comment 3 Fedora Update System 2012-07-19 21:53:55 EDT
Package openldap-2.4.31-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.31-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10873/openldap-2.4.31-5.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-20 22:53:12 EDT
Package openldap-2.4.31-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.31-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10873/openldap-2.4.31-6.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-21 18:50:14 EDT
Package openldap-2.4.31-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.31-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10873/openldap-2.4.31-7.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-09 19:20:04 EDT
openldap-2.4.31-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.